← OBPv7.0.0 Get Corporate Customers at Bank GET /obp/v7.0.0/banks/BANK_ID/corporate-customers OBPv6.0.0-getCorporateCustomersAtOneBank Roles: CanGetCustomersAtOneBank(per bank) Corporate-CustomerCustomer Get Corporate Customers at Bank. Returns a list of customers with customer_type CORPORATE or SUBSIDIARY at the specified bank. Date Format: date_of_birth and dob_of_dependants are returned in ISO 8601 date format: YYYY-MM-DD Query Parameters: limit: Maximum number of customers to return (optional) offset: Number of customers to skip for pagination (optional) sort_direction: Sort direction - ASC or DESC (optional) Authentication is Required User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk JSON response body fields (29) amount 10.12bank_id gh.29.ukbranch_id DERBY6currency EURcustomer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhcustomer_number 5987953customer_type INDIVIDUALcustomers date 2020-01-27date_of_birth 2018-03-09dependants 1dob_of_dependants [2019-09-08, 2017-07-12]email felixsmith@example.comemployment_status workerface_image highest_education_attained Masterkyc_status falselast_ok_date 2025-11-18T15:14:33.829Zlegal_name Eveline Tripmanmobile_phone_number +49 30 901820name_suffix Srparent_customer_id rating relationship_status singlesource title Dr.url http://www.example.com/id-docs/123/image.pngcredit_limit credit_rating Example success response { "customers": [ { "bank_id": "gh.29.uk", "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "customer_number": "5987953", "legal_name": "Eveline Tripman", "mobile_phone_number": "+44 07972 444 876", "email": "felixsmith@example.com", "face_image": { "url": "www.openbankproject", "date": "1100-01-01T00:00:00Z" }, "date_of_birth": "1990-05-15", "relationship_status": "single", "dependants": 1, "dob_of_dependants": [ "2015-03-20", "2018-07-10" ], "credit_rating": { "rating": "OBP", "source": "OBP" }, "credit_limit": { "currency": "EUR", "amount": "0" }, "highest_education_attained": "Master", "employment_status": "worker", "kyc_status": false, "last_ok_date": "2025-11-18T15:16:08Z", "title": "Dr.", "branch_id": "DERBY6", "name_suffix": "Sr", "customer_type": "INDIVIDUAL", "parent_customer_id": "" } ] } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-50000: Unknown Error.OBP-20006: User is missing one or more roles: